org.apache.solr.handler

## Enum CdcrParams.BufferState

- java.lang.Object
- - java.lang.Enum<CdcrParams.BufferState>
  - - org.apache.solr.handler.CdcrParams.BufferState

- All Implemented Interfaces:
    Serializable, Comparable<CdcrParams.BufferState>
  Enclosing class:
    CdcrParams

      public static enum CdcrParams.BufferState
      extends Enum<CdcrParams.BufferState>

  The possible states of the CDCR buffer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED`
    `ENABLED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CdcrParams.BufferState` | `get(byte[] state)`
    `byte[]` | `getBytes()`
    `static String` | `getParam()`
    `String` | `toLower()`
    `static CdcrParams.BufferState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CdcrParams.BufferState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final CdcrParams.BufferState ENABLED

    - #### DISABLED

          public static final CdcrParams.BufferState DISABLED

  - ### Method Detail

    - #### values

          public static CdcrParams.BufferState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CdcrParams.BufferState c : CdcrParams.BufferState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CdcrParams.BufferState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static CdcrParams.BufferState get(byte[] state)

    - #### toLower

          public String toLower()

    - #### getBytes

          public byte[] getBytes()

    - #### getParam

          public static String getParam()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.